# https://github.com/sadko4u/lsp-plugins/releases/tag/1.2.2
# lsp-plugins
# lsp-plunǵins-doc
# -jack
# -ladspa
# -lv2
# -src
# -vst2
# prepare the source if fetch will fail
# # wget https://github.com/sadko4u/lsp-plugins/archive/refs/tags/1.2.2.tar.gz
# # extract
# # open terminal there
# # make clea && make fetch
# # now create tar.xz

Name:		lsp-plugins
Version:	1.2.15
Release:	%mkrel 1
Summary:	collection of open-source plugins
License:	GPL3
Group:		Sound
Url:		https://github.com/sadko4u/lsp-plugins
Source:		https://github.com/sadko4u/lsp-plugins/%name-%version.tar.xz

BuildRequires: pkgconfig(libxdg-basedir) xdg-utils
BuildRequires: gcc-c++
BuildRequires: libstdc++-devel
BuildRequires:  lv2-devel
BuildRequires:  ladspa-devel
BuildRequires:  pkgconfig(jack)
BuildRequires:  libltc-devel
BuildRequires:  libsndfile-devel
BuildRequires:  libsamplerate-devel
BuildRequires:  fftw3-devel
BuildRequires:  pango-devel
BuildRequires:  cairo-devel
BuildRequires:  glib2-devel
BuildRequires:  pkgconfig(Qt5OpenGL)
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(gladeui-2.0)
BuildRequires:	surge-xt
BuildRequires: php-cli

Obsoletes:		lsp-plugins-lv2-bin < %version
Provides:		lsp-plugins-lv2-bin

%description
LSP (Linux Studio Plugins) is a collection of open-source plugins
currently compatible with LADSPA, LV2 and LinuxVST formats.

Includes *.so for jack and ladspa, for lv2 and vst install
the packages lsp-plugins-lv2/-vst2 .

The basic idea is to fill the lack of good and useful plugins under
the GNU/Linux platform.

After some contributions to other open source projects the decision
was made to implement separate and independent plugin distribution.

All supplementary information you will find on official web site:
  https://lsp-plug.in/

#-------------------------------------------------------------------------------

%package docs
Summary:	docs for collection of open-source plugins
License:	GPL3
Group:		Documentation

%description docs 
 offline readable HTML documentation for LSP

%files docs
%{_datadir}/doc/lsp-plugins/index.html
%{_datadir}/doc/lsp-plugins/css/**
%{_datadir}/doc/lsp-plugins/fonts/**
%{_datadir}/doc/lsp-plugins/html/**
%{_datadir}/doc/lsp-plugins/img/**
#{_datadir}/doc/lsp-plugins/svg/**

#-------------------------------------------------------------------------------

%package clap
Summary:	CLAP plugin binaries
License:	GPL3
Group:		Sound/Plugins
Requires:	%name

%description clap
CLAP plugin binaries for LSP

%files clap
%{_libdir}/clap/lsp-plugins-clap.clap

#-------------------------------------------------------------------------------

%package lv2
Summary:	collection of open-source plugins
License:	GPL3
Group:		Sound/Plugins
Requires:	%name

%description lv2 
 LV2 plugin binaries for LSP

%files lv2
%{_libdir}/lv2/lsp-plugins.lv2/lsp-plugins-lv2.so
%{_libdir}/lv2/lsp-plugins.lv2/lsp-plugins-lv2ui.so
%{_libdir}/lv2/lsp-plugins.lv2/art_delay_mono.ttl
%{_libdir}/lv2/lsp-plugins.lv2/art_delay_stereo.ttl
%{_libdir}/lv2/lsp-plugins.lv2/comp_delay_mono.ttl
%{_libdir}/lv2/lsp-plugins.lv2/comp_delay_stereo.ttl
%{_libdir}/lv2/lsp-plugins.lv2/comp_delay_x2_stereo.ttl
%{_libdir}/lv2/lsp-plugins.lv2/compressor_lr.ttl
%{_libdir}/lv2/lsp-plugins.lv2/compressor_mono.ttl
%{_libdir}/lv2/lsp-plugins.lv2/compressor_ms.ttl
%{_libdir}/lv2/lsp-plugins.lv2/compressor_stereo.ttl
%{_libdir}/lv2/lsp-plugins.lv2/crossover_lr.ttl
%{_libdir}/lv2/lsp-plugins.lv2/crossover_mono.ttl
%{_libdir}/lv2/lsp-plugins.lv2/crossover_ms.ttl
%{_libdir}/lv2/lsp-plugins.lv2/crossover_stereo.ttl
%{_libdir}/lv2/lsp-plugins.lv2/dyna_processor_lr.ttl
%{_libdir}/lv2/lsp-plugins.lv2/dyna_processor_mono.ttl
%{_libdir}/lv2/lsp-plugins.lv2/dyna_processor_ms.ttl
%{_libdir}/lv2/lsp-plugins.lv2/dyna_processor_stereo.ttl
%{_libdir}/lv2/lsp-plugins.lv2/expander_lr.ttl
%{_libdir}/lv2/lsp-plugins.lv2/expander_mono.ttl
%{_libdir}/lv2/lsp-plugins.lv2/expander_ms.ttl
%{_libdir}/lv2/lsp-plugins.lv2/expander_stereo.ttl
%{_libdir}/lv2/lsp-plugins.lv2/gate_lr.ttl
%{_libdir}/lv2/lsp-plugins.lv2/gate_mono.ttl
%{_libdir}/lv2/lsp-plugins.lv2/gate_ms.ttl
%{_libdir}/lv2/lsp-plugins.lv2/gate_stereo.ttl
%{_libdir}/lv2/lsp-plugins.lv2/graph_equalizer_x16_lr.ttl
%{_libdir}/lv2/lsp-plugins.lv2/graph_equalizer_x16_mono.ttl
%{_libdir}/lv2/lsp-plugins.lv2/graph_equalizer_x16_ms.ttl
%{_libdir}/lv2/lsp-plugins.lv2/graph_equalizer_x16_stereo.ttl
%{_libdir}/lv2/lsp-plugins.lv2/graph_equalizer_x32_lr.ttl
%{_libdir}/lv2/lsp-plugins.lv2/graph_equalizer_x32_mono.ttl
%{_libdir}/lv2/lsp-plugins.lv2/graph_equalizer_x32_ms.ttl
%{_libdir}/lv2/lsp-plugins.lv2/graph_equalizer_x32_stereo.ttl
%{_libdir}/lv2/lsp-plugins.lv2/impulse_responses_mono.ttl
%{_libdir}/lv2/lsp-plugins.lv2/impulse_responses_stereo.ttl
%{_libdir}/lv2/lsp-plugins.lv2/impulse_reverb_mono.ttl
%{_libdir}/lv2/lsp-plugins.lv2/impulse_reverb_stereo.ttl
%{_libdir}/lv2/lsp-plugins.lv2/latency_meter.ttl
%{_libdir}/lv2/lsp-plugins.lv2/limiter_mono.ttl
%{_libdir}/lv2/lsp-plugins.lv2/limiter_stereo.ttl
%{_libdir}/lv2/lsp-plugins.lv2/loud_comp_mono.ttl
%{_libdir}/lv2/lsp-plugins.lv2/loud_comp_stereo.ttl
%{_libdir}/lv2/lsp-plugins.lv2/manifest.ttl
%{_libdir}/lv2/lsp-plugins.lv2/mb_compressor_lr.ttl
%{_libdir}/lv2/lsp-plugins.lv2/mb_compressor_mono.ttl
%{_libdir}/lv2/lsp-plugins.lv2/mb_compressor_ms.ttl
%{_libdir}/lv2/lsp-plugins.lv2/mb_compressor_stereo.ttl
%{_libdir}/lv2/lsp-plugins.lv2/mb_expander_lr.ttl
%{_libdir}/lv2/lsp-plugins.lv2/mb_expander_mono.ttl
%{_libdir}/lv2/lsp-plugins.lv2/mb_expander_ms.ttl
%{_libdir}/lv2/lsp-plugins.lv2/mb_expander_stereo.ttl
%{_libdir}/lv2/lsp-plugins.lv2/mb_gate_lr.ttl
%{_libdir}/lv2/lsp-plugins.lv2/mb_gate_mono.ttl
%{_libdir}/lv2/lsp-plugins.lv2/mb_gate_ms.ttl
%{_libdir}/lv2/lsp-plugins.lv2/mb_gate_stereo.ttl
%{_libdir}/lv2/lsp-plugins.lv2/multisampler_x12.ttl
%{_libdir}/lv2/lsp-plugins.lv2/multisampler_x12_do.ttl
%{_libdir}/lv2/lsp-plugins.lv2/multisampler_x24.ttl
%{_libdir}/lv2/lsp-plugins.lv2/multisampler_x24_do.ttl
%{_libdir}/lv2/lsp-plugins.lv2/multisampler_x48.ttl
%{_libdir}/lv2/lsp-plugins.lv2/multisampler_x48_do.ttl
%{_libdir}/lv2/lsp-plugins.lv2/noise_generator_x1.ttl
%{_libdir}/lv2/lsp-plugins.lv2/noise_generator_x2.ttl
%{_libdir}/lv2/lsp-plugins.lv2/noise_generator_x4.ttl
%{_libdir}/lv2/lsp-plugins.lv2/oscillator_mono.ttl
%{_libdir}/lv2/lsp-plugins.lv2/oscilloscope_x1.ttl
%{_libdir}/lv2/lsp-plugins.lv2/oscilloscope_x2.ttl
%{_libdir}/lv2/lsp-plugins.lv2/oscilloscope_x4.ttl
%{_libdir}/lv2/lsp-plugins.lv2/para_equalizer_x16_lr.ttl
%{_libdir}/lv2/lsp-plugins.lv2/para_equalizer_x16_mono.ttl
%{_libdir}/lv2/lsp-plugins.lv2/para_equalizer_x16_ms.ttl
%{_libdir}/lv2/lsp-plugins.lv2/para_equalizer_x16_stereo.ttl
%{_libdir}/lv2/lsp-plugins.lv2/para_equalizer_x32_lr.ttl
%{_libdir}/lv2/lsp-plugins.lv2/para_equalizer_x32_mono.ttl
%{_libdir}/lv2/lsp-plugins.lv2/para_equalizer_x32_ms.ttl
%{_libdir}/lv2/lsp-plugins.lv2/para_equalizer_x32_stereo.ttl
%{_libdir}/lv2/lsp-plugins.lv2/phase_detector.ttl
%{_libdir}/lv2/lsp-plugins.lv2/profiler_mono.ttl
%{_libdir}/lv2/lsp-plugins.lv2/profiler_stereo.ttl
%{_libdir}/lv2/lsp-plugins.lv2/room_builder_mono.ttl
%{_libdir}/lv2/lsp-plugins.lv2/room_builder_stereo.ttl
%{_libdir}/lv2/lsp-plugins.lv2/sampler_mono.ttl
%{_libdir}/lv2/lsp-plugins.lv2/sampler_stereo.ttl
%{_libdir}/lv2/lsp-plugins.lv2/sc_compressor_lr.ttl
%{_libdir}/lv2/lsp-plugins.lv2/sc_compressor_mono.ttl
%{_libdir}/lv2/lsp-plugins.lv2/sc_compressor_ms.ttl
%{_libdir}/lv2/lsp-plugins.lv2/sc_compressor_stereo.ttl
%{_libdir}/lv2/lsp-plugins.lv2/sc_dyna_processor_lr.ttl
%{_libdir}/lv2/lsp-plugins.lv2/sc_dyna_processor_mono.ttl
%{_libdir}/lv2/lsp-plugins.lv2/sc_dyna_processor_ms.ttl
%{_libdir}/lv2/lsp-plugins.lv2/sc_dyna_processor_stereo.ttl
%{_libdir}/lv2/lsp-plugins.lv2/sc_expander_lr.ttl
%{_libdir}/lv2/lsp-plugins.lv2/sc_expander_mono.ttl
%{_libdir}/lv2/lsp-plugins.lv2/sc_expander_ms.ttl
%{_libdir}/lv2/lsp-plugins.lv2/sc_expander_stereo.ttl
%{_libdir}/lv2/lsp-plugins.lv2/sc_gate_lr.ttl
%{_libdir}/lv2/lsp-plugins.lv2/sc_gate_mono.ttl
%{_libdir}/lv2/lsp-plugins.lv2/sc_gate_ms.ttl
%{_libdir}/lv2/lsp-plugins.lv2/sc_gate_stereo.ttl
%{_libdir}/lv2/lsp-plugins.lv2/sc_limiter_mono.ttl
%{_libdir}/lv2/lsp-plugins.lv2/sc_limiter_stereo.ttl
%{_libdir}/lv2/lsp-plugins.lv2/sc_mb_compressor_lr.ttl
%{_libdir}/lv2/lsp-plugins.lv2/sc_mb_compressor_mono.ttl
%{_libdir}/lv2/lsp-plugins.lv2/sc_mb_compressor_ms.ttl
%{_libdir}/lv2/lsp-plugins.lv2/sc_mb_compressor_stereo.ttl
%{_libdir}/lv2/lsp-plugins.lv2/sc_mb_expander_lr.ttl
%{_libdir}/lv2/lsp-plugins.lv2/sc_mb_expander_mono.ttl
%{_libdir}/lv2/lsp-plugins.lv2/sc_mb_expander_ms.ttl
%{_libdir}/lv2/lsp-plugins.lv2/sc_mb_expander_stereo.ttl
%{_libdir}/lv2/lsp-plugins.lv2/sc_mb_gate_lr.ttl
%{_libdir}/lv2/lsp-plugins.lv2/sc_mb_gate_mono.ttl
%{_libdir}/lv2/lsp-plugins.lv2/sc_mb_gate_ms.ttl
%{_libdir}/lv2/lsp-plugins.lv2/sc_mb_gate_stereo.ttl
%{_libdir}/lv2/lsp-plugins.lv2/slap_delay_mono.ttl
%{_libdir}/lv2/lsp-plugins.lv2/slap_delay_stereo.ttl
%{_libdir}/lv2/lsp-plugins.lv2/spectrum_analyzer_x1.ttl
%{_libdir}/lv2/lsp-plugins.lv2/spectrum_analyzer_x12.ttl
%{_libdir}/lv2/lsp-plugins.lv2/spectrum_analyzer_x16.ttl
%{_libdir}/lv2/lsp-plugins.lv2/spectrum_analyzer_x2.ttl
%{_libdir}/lv2/lsp-plugins.lv2/spectrum_analyzer_x4.ttl
%{_libdir}/lv2/lsp-plugins.lv2/spectrum_analyzer_x8.ttl
%{_libdir}/lv2/lsp-plugins.lv2/surge_filter_mono.ttl
%{_libdir}/lv2/lsp-plugins.lv2/surge_filter_stereo.ttl
%{_libdir}/lv2/lsp-plugins.lv2/trigger_midi_mono.ttl
%{_libdir}/lv2/lsp-plugins.lv2/trigger_midi_stereo.ttl
%{_libdir}/lv2/lsp-plugins.lv2/trigger_mono.ttl
%{_libdir}/lv2/lsp-plugins.lv2/trigger_stereo.ttl
%{_libdir}/lv2/lsp-plugins.lv2/mb_dyna_processor_lr.ttl
%{_libdir}/lv2/lsp-plugins.lv2/mb_dyna_processor_mono.ttl
%{_libdir}/lv2/lsp-plugins.lv2/mb_dyna_processor_ms.ttl
%{_libdir}/lv2/lsp-plugins.lv2/mb_dyna_processor_stereo.ttl
%{_libdir}/lv2/lsp-plugins.lv2/sc_mb_dyna_processor_lr.ttl
%{_libdir}/lv2/lsp-plugins.lv2/sc_mb_dyna_processor_mono.ttl
%{_libdir}/lv2/lsp-plugins.lv2/sc_mb_dyna_processor_ms.ttl
%{_libdir}/lv2/lsp-plugins.lv2/sc_mb_dyna_processor_stereo.ttl
# new since 1.2.8
%{_libdir}/lv2/lsp-plugins.lv2/ab_tester_x2_mono.ttl
%{_libdir}//lv2/lsp-plugins.lv2/ab_tester_x2_stereo.ttl
%{_libdir}//lv2/lsp-plugins.lv2/ab_tester_x4_mono.ttl
%{_libdir}//lv2/lsp-plugins.lv2/ab_tester_x4_stereo.ttl
%{_libdir}//lv2/lsp-plugins.lv2/ab_tester_x8_mono.ttl
%{_libdir}//lv2/lsp-plugins.lv2/ab_tester_x8_stereo.ttl
%{_libdir}//lv2/lsp-plugins.lv2/filter_mono.ttl
%{_libdir}//lv2/lsp-plugins.lv2/filter_stereo.ttl
%{_libdir}//lv2/lsp-plugins.lv2/flanger_mono.ttl
%{_libdir}//lv2/lsp-plugins.lv2/flanger_stereo.ttl
%{_libdir}//lv2/lsp-plugins.lv2/gott_compressor_lr.ttl
%{_libdir}//lv2/lsp-plugins.lv2/gott_compressor_mono.ttl
%{_libdir}//lv2/lsp-plugins.lv2/gott_compressor_ms.ttl
%{_libdir}//lv2/lsp-plugins.lv2/gott_compressor_stereo.ttl
%{_libdir}//lv2/lsp-plugins.lv2/mb_limiter_mono.ttl
%{_libdir}//lv2/lsp-plugins.lv2/mb_limiter_stereo.ttl
%{_libdir}//lv2/lsp-plugins.lv2/mixer_x16_mono.ttl
%{_libdir}//lv2/lsp-plugins.lv2/mixer_x16_stereo.ttl
%{_libdir}//lv2/lsp-plugins.lv2/mixer_x4_mono.ttl
%{_libdir}//lv2/lsp-plugins.lv2/mixer_x4_stereo.ttl
%{_libdir}//lv2/lsp-plugins.lv2/mixer_x8_mono.ttl
%{_libdir}//lv2/lsp-plugins.lv2/mixer_x8_stereo.ttl
%{_libdir}//lv2/lsp-plugins.lv2/sc_gott_compressor_lr.ttl
%{_libdir}//lv2/lsp-plugins.lv2/sc_gott_compressor_mono.ttl
%{_libdir}//lv2/lsp-plugins.lv2/sc_gott_compressor_ms.ttl
%{_libdir}//lv2/lsp-plugins.lv2/sc_gott_compressor_stereo.ttl
%{_libdir}//lv2/lsp-plugins.lv2/sc_mb_limiter_mono.ttl
%{_libdir}//lv2/lsp-plugins.lv2/sc_mb_limiter_stereo.ttl

%post lv2
/sbin/ldconfig

#-------------------------------------------------------------------------------

%package vst2
Summary:	collection of open-source plugins
License:	GPL3
Group:		Sound/Plugins
Requires:	%name

%description vst2
 VST2 plugin binarie for LSP

%files vst2
%{_libdir}/vst/lsp-plugins/art-delay-mono.so*
%{_libdir}/vst/lsp-plugins/art-delay-stereo.so*
%{_libdir}/vst/lsp-plugins/comp-delay-mono.so*
%{_libdir}/vst/lsp-plugins/comp-delay-stereo.so*
%{_libdir}/vst/lsp-plugins/comp-delay-x2-stereo.so*
%{_libdir}/vst/lsp-plugins/compressor-lr.so*
%{_libdir}/vst/lsp-plugins/compressor-mono.so*
%{_libdir}/vst/lsp-plugins/compressor-ms.so*
%{_libdir}/vst/lsp-plugins/compressor-stereo.so*
%{_libdir}/vst/lsp-plugins/crossover-lr.so*
%{_libdir}/vst/lsp-plugins/crossover-mono.so*
%{_libdir}/vst/lsp-plugins/crossover-ms.so*
%{_libdir}/vst/lsp-plugins/crossover-stereo.so*
%{_libdir}/vst/lsp-plugins/dyna-processor-lr.so*
%{_libdir}/vst/lsp-plugins/dyna-processor-mono.so*
%{_libdir}/vst/lsp-plugins/dyna-processor-ms.so*
%{_libdir}/vst/lsp-plugins/dyna-processor-stereo.so*
%{_libdir}/vst/lsp-plugins/expander-lr.so*
%{_libdir}/vst/lsp-plugins/expander-mono.so*
%{_libdir}/vst/lsp-plugins/expander-ms.so*
%{_libdir}/vst/lsp-plugins/expander-stereo.so*
%{_libdir}/vst/lsp-plugins/gate-lr.so*
%{_libdir}/vst/lsp-plugins/gate-mono.so*
%{_libdir}/vst/lsp-plugins/gate-ms.so*
%{_libdir}/vst/lsp-plugins/gate-stereo.so*
%{_libdir}/vst/lsp-plugins/graph-equalizer-x16-lr.so*
%{_libdir}/vst/lsp-plugins/graph-equalizer-x16-mono.so*
%{_libdir}/vst/lsp-plugins/graph-equalizer-x16-ms.so*
%{_libdir}/vst/lsp-plugins/graph-equalizer-x16-stereo.so*
%{_libdir}/vst/lsp-plugins/graph-equalizer-x32-lr.so*
%{_libdir}/vst/lsp-plugins/graph-equalizer-x32-mono.so*
%{_libdir}/vst/lsp-plugins/graph-equalizer-x32-ms.so*
%{_libdir}/vst/lsp-plugins/graph-equalizer-x32-stereo.so*
%{_libdir}/vst/lsp-plugins/impulse-responses-mono.so*
%{_libdir}/vst/lsp-plugins/impulse-responses-stereo.so*
%{_libdir}/vst/lsp-plugins/impulse-reverb-mono.so*
%{_libdir}/vst/lsp-plugins/impulse-reverb-stereo.so*
%{_libdir}/vst/lsp-plugins/latency-meter.so*
%{_libdir}/vst/lsp-plugins/limiter-mono.so*
%{_libdir}/vst/lsp-plugins/limiter-stereo.so*
%{_libdir}/vst/lsp-plugins/loud-comp-mono.so*
%{_libdir}/vst/lsp-plugins/loud-comp-stereo.so*
%{_libdir}/vst/lsp-plugins/lsp-plugins-vst2-%{version}.so*
%{_libdir}/vst/lsp-plugins/mb-compressor-lr.so*
%{_libdir}/vst/lsp-plugins/mb-compressor-mono.so*
%{_libdir}/vst/lsp-plugins/mb-compressor-ms.so*
%{_libdir}/vst/lsp-plugins/mb-compressor-stereo.so*
%{_libdir}/vst/lsp-plugins/mb-dyna-processor-lr.so*
%{_libdir}/vst/lsp-plugins/mb-dyna-processor-mono.so*
%{_libdir}/vst/lsp-plugins/mb-dyna-processor-ms.so*
%{_libdir}/vst/lsp-plugins/mb-dyna-processor-stereo.so*
%{_libdir}/vst/lsp-plugins/mb-expander-lr.so*
%{_libdir}/vst/lsp-plugins/mb-expander-mono.so*
%{_libdir}/vst/lsp-plugins/mb-expander-ms.so*
%{_libdir}/vst/lsp-plugins/mb-expander-stereo.so*
%{_libdir}/vst/lsp-plugins/mb-gate-lr.so*
%{_libdir}/vst/lsp-plugins/mb-gate-mono.so*
%{_libdir}/vst/lsp-plugins/mb-gate-ms.so*
%{_libdir}/vst/lsp-plugins/mb-gate-stereo.so*
%{_libdir}/vst/lsp-plugins/multisampler-x12-do.so*
%{_libdir}/vst/lsp-plugins/multisampler-x12.so*
%{_libdir}/vst/lsp-plugins/multisampler-x24-do.so*
%{_libdir}/vst/lsp-plugins/multisampler-x24.so*
%{_libdir}/vst/lsp-plugins/multisampler-x48-do.so*
%{_libdir}/vst/lsp-plugins/multisampler-x48.so*
%{_libdir}/vst/lsp-plugins/noise-generator-x1.so
%{_libdir}/vst/lsp-plugins/noise-generator-x2.so
%{_libdir}/vst/lsp-plugins/noise-generator-x4.so
%{_libdir}/vst/lsp-plugins/oscillator-mono.so*
%{_libdir}/vst/lsp-plugins/oscilloscope-x1.so*
%{_libdir}/vst/lsp-plugins/oscilloscope-x2.so*
%{_libdir}/vst/lsp-plugins/oscilloscope-x4.so*
%{_libdir}/vst/lsp-plugins/para-equalizer-x16-lr.so*
%{_libdir}/vst/lsp-plugins/para-equalizer-x16-mono.so*
%{_libdir}/vst/lsp-plugins/para-equalizer-x16-ms.so*
%{_libdir}/vst/lsp-plugins/para-equalizer-x16-stereo.so*
%{_libdir}/vst/lsp-plugins/para-equalizer-x32-lr.so*
%{_libdir}/vst/lsp-plugins/para-equalizer-x32-mono.so*
%{_libdir}/vst/lsp-plugins/para-equalizer-x32-ms.so*
%{_libdir}/vst/lsp-plugins/para-equalizer-x32-stereo.so*
%{_libdir}/vst/lsp-plugins/phase-detector.so*
%{_libdir}/vst/lsp-plugins/profiler-mono.so*
%{_libdir}/vst/lsp-plugins/profiler-stereo.so*
%{_libdir}/vst/lsp-plugins/room-builder-mono.so*
%{_libdir}/vst/lsp-plugins/room-builder-stereo.so*
%{_libdir}/vst/lsp-plugins/sampler-mono.so*
%{_libdir}/vst/lsp-plugins/sampler-stereo.so*
%{_libdir}/vst/lsp-plugins/sc-compressor-lr.so*
%{_libdir}/vst/lsp-plugins/sc-compressor-mono.so*
%{_libdir}/vst/lsp-plugins/sc-compressor-ms.so*
%{_libdir}/vst/lsp-plugins/sc-compressor-stereo.so*
%{_libdir}/vst/lsp-plugins/sc-dyna-processor-lr.so*
%{_libdir}/vst/lsp-plugins/sc-dyna-processor-mono.so*
%{_libdir}/vst/lsp-plugins/sc-dyna-processor-ms.so*
%{_libdir}/vst/lsp-plugins/sc-dyna-processor-stereo.so*
%{_libdir}/vst/lsp-plugins/sc-expander-lr.so*
%{_libdir}/vst/lsp-plugins/sc-expander-mono.so*
%{_libdir}/vst/lsp-plugins/sc-expander-ms.so*
%{_libdir}/vst/lsp-plugins/sc-expander-stereo.so*
%{_libdir}/vst/lsp-plugins/sc-gate-lr.so*
%{_libdir}/vst/lsp-plugins/sc-gate-mono.so*
%{_libdir}/vst/lsp-plugins/sc-gate-ms.so*
%{_libdir}/vst/lsp-plugins/sc-gate-stereo.so*
%{_libdir}/vst/lsp-plugins/sc-limiter-mono.so*
%{_libdir}/vst/lsp-plugins/sc-limiter-stereo.so*
%{_libdir}/vst/lsp-plugins/sc-mb-compressor-lr.so*
%{_libdir}/vst/lsp-plugins/sc-mb-compressor-mono.so*
%{_libdir}/vst/lsp-plugins/sc-mb-compressor-ms.so*
%{_libdir}/vst/lsp-plugins/sc-mb-compressor-stereo.so*
%{_libdir}/vst/lsp-plugins/sc-mb-dyna-processor-lr.so*
%{_libdir}/vst/lsp-plugins/sc-mb-dyna-processor-mono.so*
%{_libdir}/vst/lsp-plugins/sc-mb-dyna-processor-ms.so*
%{_libdir}/vst/lsp-plugins/sc-mb-dyna-processor-stereo.so*
%{_libdir}/vst/lsp-plugins/sc-mb-expander-lr.so*
%{_libdir}/vst/lsp-plugins/sc-mb-expander-mono.so*
%{_libdir}/vst/lsp-plugins/sc-mb-expander-ms.so*
%{_libdir}/vst/lsp-plugins/sc-mb-expander-stereo.so*
%{_libdir}/vst/lsp-plugins/sc-mb-gate-lr.so*
%{_libdir}/vst/lsp-plugins/sc-mb-gate-mono.so*
%{_libdir}/vst/lsp-plugins/sc-mb-gate-ms.so*
%{_libdir}/vst/lsp-plugins/sc-mb-gate-stereo.so*
%{_libdir}/vst/lsp-plugins/slap-delay-mono.so*
%{_libdir}/vst/lsp-plugins/slap-delay-stereo.so*
%{_libdir}/vst/lsp-plugins/spectrum-analyzer-x12.so*
%{_libdir}/vst/lsp-plugins/spectrum-analyzer-x16.so*
%{_libdir}/vst/lsp-plugins/spectrum-analyzer-x1.so*
%{_libdir}/vst/lsp-plugins/spectrum-analyzer-x2.so*
%{_libdir}/vst/lsp-plugins/spectrum-analyzer-x4.so*
%{_libdir}/vst/lsp-plugins/spectrum-analyzer-x8.so*
%{_libdir}/vst/lsp-plugins/surge-filter-mono.so*
%{_libdir}/vst/lsp-plugins/surge-filter-stereo.so*
%{_libdir}/vst/lsp-plugins/trigger-midi-mono.so*
%{_libdir}/vst/lsp-plugins/trigger-midi-stereo.so*
%{_libdir}/vst/lsp-plugins/trigger-mono.so*
%{_libdir}/vst/lsp-plugins/trigger-stereo.so*
# new since 1.2.8
%{_libdir}/vst/lsp-plugins/ab-tester-x2-mono.so
%{_libdir}/vst/lsp-plugins/ab-tester-x2-stereo.so
%{_libdir}/vst/lsp-plugins/ab-tester-x4-mono.so
%{_libdir}/vst/lsp-plugins/ab-tester-x4-stereo.so
%{_libdir}/vst/lsp-plugins/ab-tester-x8-mono.so
%{_libdir}/vst/lsp-plugins/ab-tester-x8-stereo.so
%{_libdir}/vst/lsp-plugins/filter-mono.so
%{_libdir}/vst/lsp-plugins/filter-stereo.so
%{_libdir}/vst/lsp-plugins/flanger-mono.so
%{_libdir}/vst/lsp-plugins/flanger-stereo.so
%{_libdir}/vst/lsp-plugins/gott-compressor-lr.so
%{_libdir}/vst/lsp-plugins/gott-compressor-mono.so
%{_libdir}/vst/lsp-plugins/gott-compressor-ms.so
%{_libdir}/vst/lsp-plugins/gott-compressor-stereo.so
%{_libdir}/vst/lsp-plugins/mb-limiter-mono.so
%{_libdir}/vst/lsp-plugins/mb-limiter-stereo.so
%{_libdir}/vst/lsp-plugins/mixer-x16-mono.so
%{_libdir}/vst/lsp-plugins/mixer-x16-stereo.so
%{_libdir}/vst/lsp-plugins/mixer-x4-mono.so
%{_libdir}/vst/lsp-plugins/mixer-x4-stereo.so
%{_libdir}/vst/lsp-plugins/mixer-x8-mono.so
%{_libdir}/vst/lsp-plugins/mixer-x8-stereo.so
%{_libdir}/vst/lsp-plugins/sc-gott-compressor-lr.so
%{_libdir}/vst/lsp-plugins/sc-gott-compressor-mono.so
%{_libdir}/vst/lsp-plugins/sc-gott-compressor-ms.so
%{_libdir}/vst/lsp-plugins/sc-gott-compressor-stereo.so
%{_libdir}/vst/lsp-plugins/sc-mb-limiter-mono.so
%{_libdir}/vst/lsp-plugins/sc-mb-limiter-stereo.so

%post vst2
/sbin/ldconfig

#-------------------------------------------------------------------------------

%package vst3 
Summary:	collection of open-source plugins
License:	GPL3
Group:		Sound/Plugins
Requires:	%name

%description vst3
 VST3 plugin binarie for LSP

%files vst3
%{_libdir}/vst3/lsp-plugins.vst3/Contents/Resources/moduleinfo.json
%{_libdir}/vst3/lsp-plugins.vst3/Contents/x86_64-linux/lsp-plugins.so

#-------------------------------------------------------------------------------

%package devel
Summary:	headers for developing LSP plugins
License:	GPL3
Group:		Sound/Plugins
Requires:	%name
%description devel
development headers for LSP plugins
... r3d/glx

%files devel
%{_includedir}/lsp-plug.in/r3d/glx/backend.h
%{_includedir}/lsp-plug.in/r3d/glx/factory.h
%{_includedir}/lsp-plug.in/r3d/glx/version.h
%{_libdir}/pkgconfig/lsp-r3d-glx-lib.pc
%{_libdir}/liblsp-r3d-glx-lib.so
%{_libdir}/*.a

#-------------------------------------------------------------------------------

%prep
%setup -q -n %name-%version

sed -i s/'\/lib'/'\/lib64'/g %_builddir/%name-%version/Makefile

%build
# from tex
CFLAGS+=' -fcommon'
export LDFLAGS="-L/usr/lib64/libglvnd/ $LDFLAGS"
export vst3sdk=/usr/src

%make clean
%make config VERBOSE=1 ARTIFACT_EXPORT_HEADERS=1 PREFIX=/usr LIBDIR=/usr/lib64 FEATURES='clap lv2 vst2 vst3 doc jack ladspa xdg'
 
make fetch 
### not find branches

%make
# BUILD_MODULES='ladspa lv2 vst2 jack src' PREFIX=/usr LIB_PATH=/usr/lib64

#-------------------------------------------------------------------------------

%install
rm -rf %{buildroot}
%makeinstall_std 

# fix NotShowIn= to keep menus clean
sed -i s/"NotShowIn=GNOME;"/"NotShowIn=GNOME;XFCE;KDE;MATE;PLASMA;"/g %{buildroot}/%{_datadir}/applications/in.lsp*.desktop

rm -f %{buildroot}%{_libdir}/*.la

#-------------------------------------------------------------------------------

%post
%{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
%update_menus

%postun
%{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
%clean_menus

#-------------------------------------------------------------------------------

%files
%doc CHANGELOG README.md COPYING COPYING.LESSER
%{_sysconfdir}/xdg/menus/applications-merged/lsp-plugins.menu
%{_bindir}/lsp-plugins-mb-dyna-processor-lr
%{_bindir}/lsp-plugins-mb-dyna-processor-mono
%{_bindir}/lsp-plugins-mb-dyna-processor-ms
%{_bindir}/lsp-plugins-mb-dyna-processor-stereo
%{_bindir}/lsp-plugins-sc-mb-dyna-processor-lr
%{_bindir}/lsp-plugins-sc-mb-dyna-processor-mono
%{_bindir}/lsp-plugins-sc-mb-dyna-processor-ms
%{_bindir}/lsp-plugins-sc-mb-dyna-processor-stereo
%{_bindir}/lsp-plugins-art-delay-mono
%{_bindir}/lsp-plugins-art-delay-stereo
%{_bindir}/lsp-plugins-comp-delay-mono
%{_bindir}/lsp-plugins-comp-delay-stereo
%{_bindir}/lsp-plugins-comp-delay-x2-stereo
%{_bindir}/lsp-plugins-compressor-lr
%{_bindir}/lsp-plugins-compressor-mono
%{_bindir}/lsp-plugins-compressor-ms
%{_bindir}/lsp-plugins-compressor-stereo
%{_bindir}/lsp-plugins-crossover-lr
%{_bindir}/lsp-plugins-crossover-mono
%{_bindir}/lsp-plugins-crossover-ms
%{_bindir}/lsp-plugins-crossover-stereo
%{_bindir}/lsp-plugins-dyna-processor-lr
%{_bindir}/lsp-plugins-dyna-processor-mono
%{_bindir}/lsp-plugins-dyna-processor-ms
%{_bindir}/lsp-plugins-dyna-processor-stereo
%{_bindir}/lsp-plugins-expander-lr
%{_bindir}/lsp-plugins-expander-mono
%{_bindir}/lsp-plugins-expander-ms
%{_bindir}/lsp-plugins-expander-stereo
%{_bindir}/lsp-plugins-gate-lr
%{_bindir}/lsp-plugins-gate-mono
%{_bindir}/lsp-plugins-gate-ms
%{_bindir}/lsp-plugins-gate-stereo
%{_bindir}/lsp-plugins-graph-equalizer-x16-lr
%{_bindir}/lsp-plugins-graph-equalizer-x16-mono
%{_bindir}/lsp-plugins-graph-equalizer-x16-ms
%{_bindir}/lsp-plugins-graph-equalizer-x16-stereo
%{_bindir}/lsp-plugins-graph-equalizer-x32-lr
%{_bindir}/lsp-plugins-graph-equalizer-x32-mono
%{_bindir}/lsp-plugins-graph-equalizer-x32-ms
%{_bindir}/lsp-plugins-graph-equalizer-x32-stereo
%{_bindir}/lsp-plugins-impulse-responses-mono
%{_bindir}/lsp-plugins-impulse-responses-stereo
%{_bindir}/lsp-plugins-impulse-reverb-mono
%{_bindir}/lsp-plugins-impulse-reverb-stereo
%{_bindir}/lsp-plugins-latency-meter
%{_bindir}/lsp-plugins-limiter-mono
%{_bindir}/lsp-plugins-limiter-stereo
%{_bindir}/lsp-plugins-loud-comp-mono
%{_bindir}/lsp-plugins-loud-comp-stereo
%{_bindir}/lsp-plugins-mb-compressor-lr
%{_bindir}/lsp-plugins-mb-compressor-mono
%{_bindir}/lsp-plugins-mb-compressor-ms
%{_bindir}/lsp-plugins-mb-compressor-stereo
%{_bindir}/lsp-plugins-mb-expander-lr
%{_bindir}/lsp-plugins-mb-expander-mono
%{_bindir}/lsp-plugins-mb-expander-ms
%{_bindir}/lsp-plugins-mb-expander-stereo
%{_bindir}/lsp-plugins-mb-gate-lr
%{_bindir}/lsp-plugins-mb-gate-mono
%{_bindir}/lsp-plugins-mb-gate-ms
%{_bindir}/lsp-plugins-mb-gate-stereo
%{_bindir}/lsp-plugins-multisampler-x12
%{_bindir}/lsp-plugins-multisampler-x12-do
%{_bindir}/lsp-plugins-multisampler-x24
%{_bindir}/lsp-plugins-multisampler-x24-do
%{_bindir}/lsp-plugins-multisampler-x48
%{_bindir}/lsp-plugins-multisampler-x48-do
%{_bindir}/lsp-plugins-noise-generator-x1
%{_bindir}/lsp-plugins-noise-generator-x2
%{_bindir}/lsp-plugins-noise-generator-x4
%{_bindir}/lsp-plugins-oscillator-mono
%{_bindir}/lsp-plugins-oscilloscope-x1
%{_bindir}/lsp-plugins-oscilloscope-x2
%{_bindir}/lsp-plugins-oscilloscope-x4
%{_bindir}/lsp-plugins-para-equalizer-x16-lr
%{_bindir}/lsp-plugins-para-equalizer-x16-mono
%{_bindir}/lsp-plugins-para-equalizer-x16-ms
%{_bindir}/lsp-plugins-para-equalizer-x16-stereo
%{_bindir}/lsp-plugins-para-equalizer-x32-lr
%{_bindir}/lsp-plugins-para-equalizer-x32-mono
%{_bindir}/lsp-plugins-para-equalizer-x32-ms
%{_bindir}/lsp-plugins-para-equalizer-x32-stereo
%{_bindir}/lsp-plugins-phase-detector
%{_bindir}/lsp-plugins-profiler-mono
%{_bindir}/lsp-plugins-profiler-stereo
%{_bindir}/lsp-plugins-room-builder-mono
%{_bindir}/lsp-plugins-room-builder-stereo
%{_bindir}/lsp-plugins-sampler-mono
%{_bindir}/lsp-plugins-sampler-stereo
%{_bindir}/lsp-plugins-sc-compressor-lr
%{_bindir}/lsp-plugins-sc-compressor-mono
%{_bindir}/lsp-plugins-sc-compressor-ms
%{_bindir}/lsp-plugins-sc-compressor-stereo
%{_bindir}/lsp-plugins-sc-dyna-processor-lr
%{_bindir}/lsp-plugins-sc-dyna-processor-mono
%{_bindir}/lsp-plugins-sc-dyna-processor-ms
%{_bindir}/lsp-plugins-sc-dyna-processor-stereo
%{_bindir}/lsp-plugins-sc-expander-lr
%{_bindir}/lsp-plugins-sc-expander-mono
%{_bindir}/lsp-plugins-sc-expander-ms
%{_bindir}/lsp-plugins-sc-expander-stereo
%{_bindir}/lsp-plugins-sc-gate-lr
%{_bindir}/lsp-plugins-sc-gate-mono
%{_bindir}/lsp-plugins-sc-gate-ms
%{_bindir}/lsp-plugins-sc-gate-stereo
%{_bindir}/lsp-plugins-sc-limiter-mono
%{_bindir}/lsp-plugins-sc-limiter-stereo
%{_bindir}/lsp-plugins-sc-mb-compressor-lr
%{_bindir}/lsp-plugins-sc-mb-compressor-mono
%{_bindir}/lsp-plugins-sc-mb-compressor-ms
%{_bindir}/lsp-plugins-sc-mb-compressor-stereo
%{_bindir}/lsp-plugins-sc-mb-expander-lr
%{_bindir}/lsp-plugins-sc-mb-expander-mono
%{_bindir}/lsp-plugins-sc-mb-expander-ms
%{_bindir}/lsp-plugins-sc-mb-expander-stereo
%{_bindir}/lsp-plugins-sc-mb-gate-lr
%{_bindir}/lsp-plugins-sc-mb-gate-mono
%{_bindir}/lsp-plugins-sc-mb-gate-ms
%{_bindir}/lsp-plugins-sc-mb-gate-stereo
%{_bindir}/lsp-plugins-slap-delay-mono
%{_bindir}/lsp-plugins-slap-delay-stereo
%{_bindir}/lsp-plugins-spectrum-analyzer-x1
%{_bindir}/lsp-plugins-spectrum-analyzer-x12
%{_bindir}/lsp-plugins-spectrum-analyzer-x16
%{_bindir}/lsp-plugins-spectrum-analyzer-x2
%{_bindir}/lsp-plugins-spectrum-analyzer-x4
%{_bindir}/lsp-plugins-spectrum-analyzer-x8
%{_bindir}/lsp-plugins-surge-filter-mono
%{_bindir}/lsp-plugins-surge-filter-stereo
%{_bindir}/lsp-plugins-trigger-midi-mono
%{_bindir}/lsp-plugins-trigger-midi-stereo
%{_bindir}/lsp-plugins-trigger-mono
%{_bindir}/lsp-plugins-trigger-stereo
# new since 1.2.8
%{_bindir}/lsp-plugins-ab-tester-x2-mono
%{_bindir}/lsp-plugins-ab-tester-x2-stereo
%{_bindir}/lsp-plugins-ab-tester-x4-mono
%{_bindir}/lsp-plugins-ab-tester-x4-stereo
%{_bindir}/lsp-plugins-ab-tester-x8-mono
%{_bindir}/lsp-plugins-ab-tester-x8-stereo
%{_bindir}/lsp-plugins-filter-mono
%{_bindir}/lsp-plugins-filter-stereo
%{_bindir}/lsp-plugins-flanger-mono
%{_bindir}/lsp-plugins-flanger-stereo
%{_bindir}/lsp-plugins-gott-compressor-lr
%{_bindir}/lsp-plugins-gott-compressor-mono
%{_bindir}/lsp-plugins-gott-compressor-ms
%{_bindir}/lsp-plugins-gott-compressor-stereo
%{_bindir}/lsp-plugins-mb-limiter-mono
%{_bindir}/lsp-plugins-mb-limiter-stereo
%{_bindir}/lsp-plugins-mixer-x16-mono
%{_bindir}/lsp-plugins-mixer-x16-stereo
%{_bindir}/lsp-plugins-mixer-x4-mono
%{_bindir}/lsp-plugins-mixer-x4-stereo
%{_bindir}/lsp-plugins-mixer-x8-mono
%{_bindir}/lsp-plugins-mixer-x8-stereo
%{_bindir}/lsp-plugins-sc-gott-compressor-lr
%{_bindir}/lsp-plugins-sc-gott-compressor-mono
%{_bindir}/lsp-plugins-sc-gott-compressor-ms
%{_bindir}/lsp-plugins-sc-gott-compressor-stereo
%{_bindir}/lsp-plugins-sc-mb-limiter-mono
%{_bindir}/lsp-plugins-sc-mb-limiter-stereo
# new since 1.2.14
%{_bindir}/lsp-plugins-autogain-mono
%{_bindir}/lsp-plugins-autogain-stereo
%{_bindir}/lsp-plugins-beat-breather-mono
%{_bindir}/lsp-plugins-beat-breather-stereo
%{_bindir}/lsp-plugins-clipper-mono
%{_bindir}/lsp-plugins-clipper-stereo
%{_bindir}/lsp-plugins-mb-clipper-mono
%{_bindir}/lsp-plugins-mb-clipper-stereo
%{_bindir}/lsp-plugins-para-equalizer-x8-lr
%{_bindir}/lsp-plugins-para-equalizer-x8-mono
%{_bindir}/lsp-plugins-para-equalizer-x8-ms
%{_bindir}/lsp-plugins-para-equalizer-x8-stereo
%{_bindir}/lsp-plugins-sc-autogain-mono
%{_bindir}/lsp-plugins-sc-autogain-stereo

%{_libdir}/liblsp-r3d-glx-lib-1.0.17.so
%{_libdir}/lsp-plugins/liblsp-plugins-jack-%{version}.so
%{_libdir}/ladspa/lsp-plugins-ladspa.so
%{_libdir}/lv2/lsp-plugins.lv2/autogain_mono.ttl
%{_libdir}/lv2/lsp-plugins.lv2/autogain_stereo.ttl
%{_libdir}/lv2/lsp-plugins.lv2/beat_breather_mono.ttl
%{_libdir}/lv2/lsp-plugins.lv2/beat_breather_stereo.ttl
%{_libdir}/lv2/lsp-plugins.lv2/clipper_mono.ttl
%{_libdir}/lv2/lsp-plugins.lv2/clipper_stereo.ttl
%{_libdir}/lv2/lsp-plugins.lv2/mb_clipper_mono.ttl
%{_libdir}/lv2/lsp-plugins.lv2/mb_clipper_stereo.ttl
%{_libdir}/lv2/lsp-plugins.lv2/para_equalizer_x8_lr.ttl
%{_libdir}/lv2/lsp-plugins.lv2/para_equalizer_x8_mono.ttl
%{_libdir}/lv2/lsp-plugins.lv2/para_equalizer_x8_ms.ttl
%{_libdir}/lv2/lsp-plugins.lv2/para_equalizer_x8_stereo.ttl
%{_libdir}/lv2/lsp-plugins.lv2/sc_autogain_mono.ttl
%{_libdir}/lv2/lsp-plugins.lv2/sc_autogain_stereo.ttl
%{_libdir}/vst/lsp-plugins/autogain-mono.so
%{_libdir}/vst/lsp-plugins/autogain-stereo.so
%{_libdir}/vst/lsp-plugins/beat-breather-mono.so
%{_libdir}/vst/lsp-plugins/beat-breather-stereo.so
%{_libdir}/vst/lsp-plugins/clipper-mono.so
%{_libdir}/vst/lsp-plugins/clipper-stereo.so
%{_libdir}/vst/lsp-plugins/mb-clipper-mono.so
%{_libdir}/vst/lsp-plugins/mb-clipper-stereo.so
%{_libdir}/vst/lsp-plugins/para-equalizer-x8-lr.so
%{_libdir}/vst/lsp-plugins/para-equalizer-x8-mono.so
%{_libdir}/vst/lsp-plugins/para-equalizer-x8-ms.so
%{_libdir}/vst/lsp-plugins/para-equalizer-x8-stereo.so
%{_libdir}/vst/lsp-plugins/sc-autogain-mono.so
%{_libdir}/vst/lsp-plugins/sc-autogain-stereo.so

%{_datadir}/applications/in.lsp_plug.lsp_plugins_art_delay_mono.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_art_delay_stereo.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_comp_delay_mono.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_comp_delay_stereo.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_comp_delay_x2_stereo.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_compressor_lr.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_compressor_mono.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_compressor_ms.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_compressor_stereo.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_crossover_lr.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_crossover_mono.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_crossover_ms.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_crossover_stereo.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_dyna_processor_lr.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_dyna_processor_mono.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_dyna_processor_ms.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_dyna_processor_stereo.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_expander_lr.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_expander_mono.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_expander_ms.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_expander_stereo.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_gate_lr.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_gate_mono.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_gate_ms.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_gate_stereo.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_graph_equalizer_x16_lr.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_graph_equalizer_x16_mono.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_graph_equalizer_x16_ms.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_graph_equalizer_x16_stereo.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_graph_equalizer_x32_lr.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_graph_equalizer_x32_mono.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_graph_equalizer_x32_ms.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_graph_equalizer_x32_stereo.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_impulse_responses_mono.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_impulse_responses_stereo.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_impulse_reverb_mono.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_impulse_reverb_stereo.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_latency_meter.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_limiter_mono.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_limiter_stereo.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_loud_comp_mono.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_loud_comp_stereo.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_mb_compressor_lr.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_mb_compressor_mono.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_mb_compressor_ms.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_mb_compressor_stereo.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_mb_dyna_processor_lr.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_mb_dyna_processor_mono.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_mb_dyna_processor_ms.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_mb_dyna_processor_stereo.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_mb_expander_lr.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_mb_expander_mono.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_mb_expander_ms.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_mb_expander_stereo.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_mb_gate_lr.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_mb_gate_mono.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_mb_gate_ms.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_mb_gate_stereo.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_multisampler_x12.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_multisampler_x12_do.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_multisampler_x24.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_multisampler_x24_do.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_multisampler_x48.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_multisampler_x48_do.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_noise_generator_x1.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_noise_generator_x2.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_noise_generator_x4.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_oscillator_mono.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_oscilloscope_x1.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_oscilloscope_x2.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_oscilloscope_x4.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_para_equalizer_x16_lr.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_para_equalizer_x16_mono.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_para_equalizer_x16_ms.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_para_equalizer_x16_stereo.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_para_equalizer_x32_lr.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_para_equalizer_x32_mono.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_para_equalizer_x32_ms.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_para_equalizer_x32_stereo.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_phase_detector.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_profiler_mono.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_profiler_stereo.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_room_builder_mono.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_room_builder_stereo.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_sampler_mono.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_sampler_stereo.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_sc_compressor_lr.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_sc_compressor_mono.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_sc_compressor_ms.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_sc_compressor_stereo.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_sc_dyna_processor_lr.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_sc_dyna_processor_mono.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_sc_dyna_processor_ms.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_sc_dyna_processor_stereo.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_sc_expander_lr.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_sc_expander_mono.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_sc_expander_ms.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_sc_expander_stereo.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_sc_gate_lr.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_sc_gate_mono.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_sc_gate_ms.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_sc_gate_stereo.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_sc_limiter_mono.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_sc_limiter_stereo.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_sc_mb_compressor_lr.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_sc_mb_compressor_mono.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_sc_mb_compressor_ms.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_sc_mb_compressor_stereo.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_sc_mb_dyna_processor_lr.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_sc_mb_dyna_processor_mono.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_sc_mb_dyna_processor_ms.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_sc_mb_dyna_processor_stereo.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_sc_mb_expander_lr.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_sc_mb_expander_mono.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_sc_mb_expander_ms.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_sc_mb_expander_stereo.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_sc_mb_gate_lr.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_sc_mb_gate_mono.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_sc_mb_gate_ms.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_sc_mb_gate_stereo.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_slap_delay_mono.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_slap_delay_stereo.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_spectrum_analyzer_x1.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_spectrum_analyzer_x12.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_spectrum_analyzer_x16.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_spectrum_analyzer_x2.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_spectrum_analyzer_x4.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_spectrum_analyzer_x8.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_surge_filter_mono.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_surge_filter_stereo.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_trigger_midi_mono.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_trigger_midi_stereo.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_trigger_mono.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_trigger_stereo.desktop
# new since 1.2.8
%{_datadir}/applications/in.lsp_plug.lsp_plugins_ab_tester_x2_mono.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_ab_tester_x2_stereo.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_ab_tester_x4_mono.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_ab_tester_x4_stereo.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_ab_tester_x8_mono.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_ab_tester_x8_stereo.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_filter_mono.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_filter_stereo.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_flanger_mono.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_flanger_stereo.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_gott_compressor_lr.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_gott_compressor_mono.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_gott_compressor_ms.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_gott_compressor_stereo.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_mb_limiter_mono.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_mb_limiter_stereo.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_mixer_x16_mono.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_mixer_x16_stereo.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_mixer_x4_mono.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_mixer_x4_stereo.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_mixer_x8_mono.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_mixer_x8_stereo.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_sc_gott_compressor_lr.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_sc_gott_compressor_mono.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_sc_gott_compressor_ms.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_sc_gott_compressor_stereo.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_sc_mb_limiter_mono.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_sc_mb_limiter_stereo.desktop
# new since 1.2.14
%{_datadir}/applications/in.lsp_plug.lsp_plugins_autogain_mono.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_autogain_stereo.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_beat_breather_mono.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_beat_breather_stereo.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_clipper_mono.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_clipper_stereo.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_mb_clipper_mono.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_mb_clipper_stereo.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_sc_autogain_mono.desktop
%{_datadir}/applications/in.lsp_plug.lsp_plugins_sc_autogain_stereo.desktop


%{_datadir}/desktop-directories/lsp-plugins.directory


%{_datadir}/icons/hicolor/128x128/apps/lsp-plugins.png
%{_datadir}/icons/hicolor/16x16/apps/lsp-plugins.png
%{_datadir}/icons/hicolor/22x22/apps/lsp-plugins.png
%{_datadir}/icons/hicolor/24x24/apps/lsp-plugins.png
%{_datadir}/icons/hicolor/256x256/apps/lsp-plugins.png
%{_datadir}/icons/hicolor/32x32/apps/lsp-plugins.png
%{_datadir}/icons/hicolor/48x48/apps/lsp-plugins.png
%{_datadir}/icons/hicolor/64x64/apps/lsp-plugins.png
%{_datadir}/icons/hicolor/scalable/apps/lsp-plugins.svg


%changelog
* Mon Apr 01 2024 onkelho <oh.quait at gmail.com> - 1.2.15-1quait2024
- new version released on Mar 06 2024

* Sun Feb 18 2024 tex - 1.2.14-3pclos2024
- add BR php-cli

* Sun Feb 18 2024 onkelho <oh.quait at gmail.com> - 1.2.14-2quait2024
- rebuild 
- add CLAP binaries 

* Sat Feb 03 2024 onkelho <oh.quait at gmail.com> - 1.2.14-1quait2024
- new version 

* Mon Aug 14 2023 onkelho <oh.quait at gmail.com> - 1.2.8-2pclos2023
- fix desktop-files for notshowin

* Mon Aug 14 2023 onkelho <oh.quait at gmail.com> - 1.2.8-1pclos2023
- new version release

* Sun Mar 12 2023 onkelho <oh.quait at gmail.com> - 1.2.5-2pclos2023
- rebuild , no headers now are, no links please

* Sun Mar 12 2023 onkelho <oh.quait at gmail.com> - 1.2.5-1pclos2023
- new vesion released on Jan.28 2023

* Sat Oct 01 2022 onkelho <oh.quait at gmail.com> - 1.2.3-1pclos2022
- new version released
- sadko4u released this 24 days ago 1.2.3 c7881ff
-    Graphic Toolkit Library lsp-tk-lib has been ported to Windows.
-    Updated compressor plugin bundles: added negative boosting gain option in 'Boosting' mode.
-    Updated gate plugin bundles: added negative gain option for ducking gateway option.
-    Assigned more correct names for sidechain types of dynamic processing plugins.
-    Introduced several workarounds for the support of UI by the OBS host.
-    Fixed build of i386 DSP code under FreeBSD with Clang compiler.
-    Better support of building code for ARMv6, ARMv7 and AArch64 under FreeBSD with Clang compiler.
-    Added basic CI tests introduced by GitHub CI.
-    Several bugfixes in core libraries.

* Fri Jul 08 2022 onkelho <oh.quait at gmail.com> - 1.2.2-2pclos2022
- rebuild against updates ??? (link to /usr/lib/lv2)
- ldconfig

* Wed Jul 06 2022 onkelho <oh.quait at gmail.com> - 1.2.2-1pclos2022
- new vwersion
- Implemented Multiband Dynamic Processor plugin series.
- Changed donation methods.
- Added german translations (contributed by Johannes Guenther).
- Added pitch control for the sample in the Sampler and Multisampler plugin series
- (contributed by Vitalius Kuchalskis).
- Added pitch control for the sample in the Trigger plugin series.
- Fixed plugin version tracking which didn't save the updated version
- to the configuration file.
- Fixed improper configuration file import in JACK headless mode.
- Fixed segmentation fault error in JACK headless mode when JACK connection was lost.
- Added window scaling button function for plugin window.

* Tue Mar 08 2022 onkelho <oh.quait at gmail.com> - 1.1.31-1pclos2022
- new vwersion

